#ifndef UNROLLED_LINKED_LIST_H
#define UNROLLED_LINKED_LIST_H

#define MAX_N_ELEM_NODE 8

typedef struct node_t {
	struct node_t * next;
    int data;
} node_t;

typedef struct linked_list_t {
	node_t * head;
} linked_list_t;

linked_list_t * new_linked_list();
void append_elem(linked_list_t * list, int x);
int get_elem(linked_list_t * list, int i);
void remove_elem(linked_list_t * list, int i);
int list_size(linked_list_t * list);
void delete_linked_list(linked_list_t * list);

#endif
